import { of as obervableOf } from 'rxjs';

import { ConfigPipe } from './config.pipe';

describe('ConfigPipe', () => {
  let pipe: ConfigPipe;

  beforeEach(() => {
    const configServiceMock: any = { get: () => obervableOf('valor da propriedade')};
    pipe = new ConfigPipe(configServiceMock);
  });

  it('Valor da propriedade', () => {
    pipe.transform('propriedadeDoConfig').subscribe(
      (value: string) => expect(value).toEqual('valor da propriedade')
    );
  });

  it('Valor vazio', () => {
    pipe.transform('').subscribe(
      (value: string) => expect(value).toEqual('')
    );
  });

});
