import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'datasusSwitchSlashToDashPipe',
})
export class SwitchSlashToDashPipe implements PipeTransform {

  transform(value: string): string {
    const text = !value ? '' : value.toString();
    const textWithoutLastSlash = text.replace(/\/$/, '');
    const slashsSwitchedToDash = textWithoutLastSlash.replace(/\//g, ' - ');
    return slashsSwitchedToDash;
  }

}
