import { Injectable, Inject } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { tap } from 'rxjs/operators';

import { WelcomeConfig } from './welcome.config';

// const CHECK_URL = '/teste';
// const LOGIN_URL = '/oauth/authorize?client_id=SCPA-RS&redirect_uri=http://localhost:4200/&response_type=code&scope=SCPA';

@Injectable({
  providedIn: 'root'
})
export class WelcomeGuard implements CanActivate {

  constructor(
    private http: HttpClient,
    @Inject('WelcomeConfig')
    private welcomeConfig: WelcomeConfig,
  ) { }

  canActivate(
    next: ActivatedRouteSnapshot,
    state: RouterStateSnapshot
  ): Observable<boolean> | Promise<boolean> | boolean {

    console.log('canActivate', this.welcomeConfig.getAuthServerUrl(), this.welcomeConfig.getBackendUrl());

    return true;
    // if (!next.queryParams.code) {
    //   console.log('Não tem o code vai redirecionar');
    //   (window as any).location.href = LOGIN_URL;
    //   return false;
    // } else {
    //   console.log('Tem o code vai para a API');

    //   this.http.get(CHECK_URL, {withCredentials: true, responseType: 'text'}).pipe(
    //     tap(x => console.warn('tap:', x))
    //   ).subscribe(
    //     result => console.log(':)', result),
    //     error => console.error(':(', error)
    //   );
    //   return true;
    // }
  }

}
