CREATE TABLE dbscodes.rl_item_similaridade(
    co_item BIGINT NOT NULL,
    co_item_similar BIGINT NOT NULL,
    CONSTRAINT pk_itemsimilaridade PRIMARY KEY (co_item, co_item_similar),
	CONSTRAINT fk_item_itemsimilaridade FOREIGN KEY(co_item) REFERENCES dbscodes.tb_item(co_seq_item),
	CONSTRAINT fk_item_itemsimilaridaderel FOREIGN KEY(co_item_similar) REFERENCES dbscodes.tb_item(co_seq_item)
);

COMMENT ON TABLE  dbscodes.rl_item_similaridade IS 'Tabela de relacionamento dos itens similares.';
COMMENT ON COLUMN dbscodes.rl_item_similaridade.co_item IS 'Codigo de identificacão do item, chave estrangeira para dbscodes.tb_item';
COMMENT ON COLUMN dbscodes.rl_item_similaridade.co_item_similar IS 'Codigo de identificação do item similar, chave estrangeira para dbscodes.tb_item';
