package br.gov.datasus.scodes.acl.model.dto;

import br.gov.datasus.scodes.acl.model.enums.TipoPermissaoEnum;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
public class PermissaoDTO {

    private Long id;

    private List<PermissaoDTO> permissoes = new ArrayList<PermissaoDTO>();

    private FuncionalidadeDTO funcionalidade;

    private String permissao;

    private Long ordem;

    private TipoPermissaoEnum tipo;

}
