package br.gov.datasus.scodes.acl.model.mapper;

import br.gov.datasus.scodes.acl.model.dto.EsferaAtuacaoDTO;
import br.gov.datasus.scodes.acl.model.entity.UsuarioPerfilEsfera;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;
import org.mapstruct.ReportingPolicy;

import java.util.List;


@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface EsferaAtuacaoMapper {

	@Mappings(value = { @Mapping(source = "entity.esferaSistema.esfera.id", target = "id"),
			@Mapping(source = "entity.esferaSistema.esfera.descricao", target = "descricao"),
			@Mapping(source = "entity.esferaSistema.esfera.sigla", target = "sigla") })
    EsferaAtuacaoDTO toDto(UsuarioPerfilEsfera entity);

	List<EsferaAtuacaoDTO> toDto(Iterable<UsuarioPerfilEsfera> entities);
}
