package br.gov.datasus.authorization.configuration.cache;

import br.gov.datasus.authorization.enums.CacheEnum;
import com.hazelcast.core.HazelcastInstance;
import com.hazelcast.core.IMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class HazelcastComponent {

	@Autowired
	private HazelcastInstance hazelcastInstance;

	public IMap<String, ?> getCacheMap(CacheEnum cacheEnum){
		return  hazelcastInstance.getMap(cacheEnum.getCacheName());
	}
}
