(function(window, document, $, undefined){
    "use strict";

    $(function() {

        $('h3').click(function() {
          $(this).addClass('hide');
        });

        $('#visibility-button').click(function() {
          var password = $('#password');
          var icon= $(this).find('i.material-icons');
          if (password.is('[type=password]') ){
            icon.text('visibility_off');
            password.attr('type', 'text');
          } else {
            icon.text('visibility');
            password.attr('type', 'password');
          }
        });

        $('.autofill-prevent').focus(function () {
          $(this).removeAttr('readonly');
        });

        var loading = $('.loading').hide();
        loading.css('opacity', 1);
        $('form').submit(function () {
          loading.show('fast');
          $('.footer').hide('fast');
        });

        $('#username').focus();

    });
}(window, window.document, window.jQuery));
