package br.gov.datasus.scodes.model.constants;

public class AlteracaoDataRetornoConstants {

    public class QUERYNAME {

        public static final String OBTER_TODOS_PAGINADO = "AlteracaoDataRetorno.obterTodosPaginado";

        private QUERYNAME() { }
    }

    public class QUERIES {

        public static final String OBTER_TODOS_PAGINADO = "SELECT adr FROM AlteracaoDataRetorno adr" +
            " WHERE 1 = 1" +
            " AND (adr.status.id = :idStatus)" +
            " AND (UPPER(adr.titulo) LIKE UPPER(:titulo))" +
            " AND (adr.dataCadastro BETWEEN :dataInicio AND :dataFim)";


        public static final String RESULTADO_ALTERAR_DATA_RETORNO = "SELECT " +
            "   tadr.CO_SEQ_ALTERACAO_DATA_RETORNO as codigoAlteracaoDataRetorno, " +
            "   tadr.DT_CADASTRO as datacadastro, " +
            "   tadr.DT_NOVA_DATA_RETORNO as novaDataRetorno, " +
            "   tadr.NO_TITULO AS TITULO, " +
            "   tadr.CO_STATUS_ALTDTRET as codigoStatus, " +
            "   tadrp.CO_RECIBO_ORDEM_PRODUTO as codigoReciboOrdemProduto " +
            "FROM dbscodes.TB_ALTERACAO_DATA_RETORNO tadr  " +
            "   INNER JOIN dbscodes.TB_ALTERACAO_DATA_RETORNO_PRODUTO tadrp ON (tadrp.co_alteracao_data_retorno = tadr.co_seq_alteracao_data_retorno) " +
            "WHERE tadrp.co_alteracao_data_retorno = :codigoAlteracaoRetorno AND tadr.co_status_altdtret = 1";

        private QUERIES() {}
    }
}
