package br.gov.datasus.scodes.model.dto;

import java.io.Serializable;

import javax.validation.constraints.*;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class EspecificacaoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @NotNull
    private ApresentacaoDTO apresentacao;

    @NotNull
    private GrupoEspecificacaoDTO grupoEspecificacao;

    @NotNull
    private ProdutoDTO produto;

    @NotNull
    @Size(max = 500)
    private String nome;

}
