package br.gov.datasus.scodes.model.dto;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.validator.constraints.br.CNPJ;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class FornecedorDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    
	private Long id;

	@NotNull
	@Size(max = 100)
	private String nome;

    @NotNull
    @Size(max = 14)
    @CNPJ
    private String cnpj;
}
