package br.gov.datasus.scodes.model.dto;

import javax.validation.constraints.*;

import java.io.Serializable;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class FuncionalidadeDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    
    private Long id;
    
    @NotNull
    private Long idPai;

    @NotNull
    @Size(max = 40)
    private String nome;

    @NotNull
    private Boolean situacaoAlterar;

    @NotNull
    private Boolean situacaoCriar;

    @NotNull
    private Boolean situacaoExcluir;

    @NotNull
    private Boolean situacaoImprimir;

    @NotNull
    private Boolean situacaoPesquisar;

}
