package br.gov.datasus.scodes.model.dto;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@NoArgsConstructor
public class InventarioItemConsolidadoDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long idInventario;
    private Long idItem;
    private String codigoItem;
    private String descricaoItem;
    private String unidadeMedida;
    private Long id;
    private Long quantidadeFisica;
    private Date dataContagem;
    private Boolean situacaoAlterado;
    private Long quantidadeCompraEntrada;
    private Long quantidadeOutraEntrada;
    private Long quantidadePerdaSaida;
    private Long quantidadeTransferenciaSaida;
    private Long quantidadeDispensacaoSaida;
    private Long quantidadeEstornoEntrada;
    private Long quantidadeReciboInvalidadoEntrada;
    private Long quantidadeOutraSaida;
    private Long quantidadePerdaVencimentoSaida;
    private Long quantidadeQuebraSaida;
    private Long quantidadeAjusteSaida;
    private Long quantidadeEstoqueDataContagem;
    private Long quantidadeItemPosCalculos;
    private Long quantidadeItemDiferenca;
    private BigDecimal valorItem;
}

