package br.gov.datasus.scodes.model.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class ModeloDTO {

    private Long id;

    @NotNull
    private TipoDemandaDTO tipoDemanda;

    @NotNull
    private TipoModeloDTO tipoModelo;

    @NotNull
    @Size(max = 80)
    private String descritor;

    @NotNull
    private String modelo;

    private Boolean situacaoInativo = false;

}
