package br.gov.datasus.scodes.model.dto;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.*;

import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class ProdutoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @NotNull
    private CategoriaDTO categoria;

    @NotNull
    private TipoControladoDTO tipoControlado;

    @NotNull
    @Size(max = 200)
    private String nome;

}
