package br.gov.datasus.scodes.model.dto;

import br.gov.datasus.scodes.model.enums.TipoTransferenciaEnum;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class TransferenciaDTO implements Serializable {

    private static final long serialVersionUID = 1L;
    
	private Long id;

	@NotNull
	@Size(max = 30)
	private String descricao;

    @NotNull
    private TipoTransferenciaEnum tipo;

    @NotNull
    private UnidadeTransferenciaDTO unidadeTransferencia;
}
