package br.gov.datasus.scodes.model.dto.filter;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@NoArgsConstructor
public class InventarioFilterDTO implements Serializable {

    private static final long serialVersionUID = 1L;

	@Size(max = 60)
	private String descricao;

	private Long idUnidadeDispensadora;

	@DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
	private Date dataInicio;

	@DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
	private Date dataFim;

    private Boolean situacaoAtivo;

}
