package br.gov.datasus.scodes.model.enums;

import com.fasterxml.jackson.annotation.JsonValue;

import lombok.Getter;

public enum TipoOrdemDeterminacaoEnum {
    
    FORNECER(1,"Fornecer"),
    AGUARDAR_DOCUMENTACAO(2,"Aguardar Documentação"),
    PRESTAR_INFORMACAO(3,"Prestar Informação"),
    MANTER(4,"Manter"),
    ALTERAR(5,"Alterar"),
    SUSPENDER(6,"Suspender"),
    NAO_FORNECER(7,"Fornecimento não autorizado"),
    EM_FASE_CADASTRO(8,"Em fase de Cadastro");
    
    private TipoOrdemDeterminacaoEnum(Integer id, String descricao) {
        this.id = id;
        this.descricao = descricao;
    }

    @JsonValue
    @Getter
    private Integer id;

    @Getter
    private String descricao;
}
