package br.gov.datasus.scodes.model.enums;

import com.fasterxml.jackson.annotation.JsonValue;

import lombok.Getter;

public enum TipoSuspencaoDeterminacaoEnum {
    
    DEFINITIVO(1,"Definitivo"),
    TEMPORARIAMENTE(2,"Temporariamente");
    
    private TipoSuspencaoDeterminacaoEnum(Integer id, String descricao) {
        this.id = id;
        this.descricao = descricao;
    }

    @JsonValue
    @Getter
    private Integer id;

    @Getter
    private String descricao;
}
