package br.gov.datasus.scodes.model.mapper;

import br.gov.datasus.api.core.model.mapper.BaseMapper;
import br.gov.datasus.scodes.model.dto.ProtocoloJefazDTO;
import br.gov.datasus.scodes.model.entity.ProtocoloJefaz;
import org.mapstruct.InheritInverseConfiguration;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.ReportingPolicy;

@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface ProtocoloJefazMapper extends BaseMapper<ProtocoloJefaz, ProtocoloJefazDTO> {

    ProtocoloJefazDTO toDto(ProtocoloJefaz entity);

    ProtocoloJefaz toEntity(ProtocoloJefazDTO dto);

    @InheritInverseConfiguration(name = "toDto")
    void fromDto(ProtocoloJefazDTO dto, @MappingTarget ProtocoloJefaz entity);
}
