package br.gov.datasus.scodes.repository;

import java.util.List;

import org.springframework.data.repository.CrudRepository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.api.core.model.dto.DominioItemModel;

import br.gov.datasus.scodes.model.entity.Area;

public interface AreaRepository
		extends CrudRepository<Area, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {
	
	List<DominioItemModel> obterDominio();
}
