package br.gov.datasus.scodes.repository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.scodes.model.entity.Feriado;
import org.springframework.data.repository.CrudRepository;

import java.util.Date;

public interface FeriadoRepository extends CrudRepository<Feriado, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {
    Feriado findByDataFeriado(Date dataFeriado);
}
