package br.gov.datasus.scodes.repository;

import br.gov.datasus.scodes.model.entity.AutorDemanda;
import org.springframework.data.repository.CrudRepository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.scodes.model.entity.Processual;

import java.util.Optional;

public interface ProcessualRepository extends CrudRepository<Processual, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {
    Optional<Processual> findByAutorDemandaId(Long id);
    void deleteByAutorDemanda(AutorDemanda autorDemanda);
}
