package br.gov.datasus.scodes.repository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.api.core.model.dto.DominioItemModel;
import br.gov.datasus.scodes.model.entity.TipoMovimentacao;
import br.gov.datasus.scodes.model.enums.TipoMovimentacaoTipoEnum;
import org.springframework.data.repository.CrudRepository;

import java.util.List;

public interface TipoMovimentacaoRepository extends CrudRepository<TipoMovimentacao, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {

    List<DominioItemModel> obterDominio();

    List<DominioItemModel> obterDominioPorTipo(TipoMovimentacaoTipoEnum tipo);
}
