package br.gov.datasus.scodes.repository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.scodes.model.entity.UsuarioLocal;
import org.springframework.data.repository.CrudRepository;

public interface UsuarioLocalRepository extends CrudRepository<UsuarioLocal, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {

    int countByNomeLoginIgnoreCase(String nomeLogin);

    int countByDescricaoEmailIgnoreCase(String descricaoEmail);

    int countByNomeLoginIgnoreCaseAndIdNot(String nomeLogin, Long id);

    int countByDescricaoEmailIgnoreCaseAndIdNot(String descricaoEmail, Long id);

}
