package br.gov.datasus.scodes.util;

import br.gov.datasus.api.core.dynamicquery.parameters.DynamicParameters;
import org.springframework.stereotype.Component;

import static java.util.Optional.ofNullable;

@Component
public class ParameterUtil {

    public void append(DynamicParameters parameters, Object objFilter, String field) {
        ofNullable(objFilter).ifPresent(
            filter -> parameters.append(field, filter)
        );
    }

    public void appendLike(DynamicParameters parameters, Object objFilter, String field) {
        ofNullable(objFilter).ifPresent(
            filter -> parameters.appendLike(field, filter.toString())
        );
    }
}
