import { TipoMovimentacaoModel } from '../../../shared/models/tipo-movimentacao.model';
import { CompraTrocaModel } from './compra-troca.model';
import { TransferenciaModel } from './transferencia.model';
import { SaidaEstoqueItemModel } from './saida-estoque-item.model';

export class SaidaEstoqueModel {
  id: number;
  dataEntrada: string|Date;
  idUsuario: number;
  tipoMovimentacao: TipoMovimentacaoModel;
  compraTroca?: CompraTrocaModel;
  transferencia?: TransferenciaModel;
  motivo?: string;
  itens: SaidaEstoqueItemModel[];
}
