import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { BaseService, DominioItemModel } from '@datasus/core';

@Injectable()
export class TipoDispensacaoService extends BaseService {

  obterDominio(): Observable<DominioItemModel[]> {
    return this.baseGet<DominioItemModel[]>('/tipo-dispensacao/dominio');
  }

}
