import { MatDatepickerIntl } from '@angular/material/datepicker';

export class DatepickerIntl extends MatDatepickerIntl {
  /** A label for the calendar popup (used by screen readers). */
  calendarLabel = 'Calendário';
  /** A label for the button used to open the calendar popup (used by screen readers). */
  openCalendarLabel = 'Abrir o calendário';
  /** A label for the previous month button (used by screen readers). */
  prevMonthLabel = 'Mês anterior';
  /** A label for the next month button (used by screen readers). */
  nextMonthLabel = 'Próximo mês';
  /** A label for the previous year button (used by screen readers). */
  prevYearLabel = 'Ano anterior';
  /** A label for the next year button (used by screen readers). */
  nextYearLabel = 'Próximo ano';
  /** A label for the previous multi-year button (used by screen readers). */
  prevMultiYearLabel = '20 anos anteriores';
  /** A label for the next multi-year button (used by screen readers). */
  nextMultiYearLabel = 'Próximos 20 anos';
  /** A label for the 'switch to month view' button (used by screen readers). */
  switchToMonthViewLabel = 'Escolher uma data';
  /** A label for the 'switch to year view' button (used by screen readers). */
  switchToMultiYearViewLabel = 'Escolher um ano';
}
