import { HttpClient } from '@angular/common/http';
import { Component, OnInit } from '@angular/core';
import { take } from 'rxjs/operators';

import { ErrorModel } from '@datasus/core';

@Component({
  selector: 'datasus-dummy',
  template: '<code>:-  olhe no console  -:</code>'
})
export class DummyComponent implements OnInit {

  constructor(
    private httpClient: HttpClient,
  ) { }

  ngOnInit(): void {
    this.httpClient.get('http-que-era-para-estar-fora-do-interceptor').pipe(
      take(1),
    ).subscribe(
      () => console.log('nunca cai aqui. Não existe essa URL'),
      (error: ErrorModel) => console.log('erro experado', error),
    );
  }
}
