--------------------------------------------------------
--  DDL for Table tb_status_alteracao_data_retorno
--------------------------------------------------------

-- DROP TABLE IF EXISTS dbscodes.tb_status_alteracao_data_retorno CASCADE;

-- DROP SEQUENCE IF EXISTS dbscodes.sq_status_altdataret_coseqstatusaltdataret;

CREATE SEQUENCE dbscodes.sq_stataltdtrt_cosqstataltdtrt;

CREATE TABLE dbscodes.tb_status_alteracao_data_retorno
(
  co_seq_status_alt_data_retorno BIGINT NOT NULL DEFAULT nextval('dbscodes.sq_stataltdtrt_cosqstataltdtrt'::REGCLASS),
  ds_descricao CHARACTER VARYING(20) NOT null,
  CONSTRAINT pk_statusalteracaodataretorno PRIMARY KEY (co_seq_status_alt_data_retorno)
);

COMMENT ON TABLE  dbscodes.tb_status_alteracao_data_retorno
  IS 'Registros dos status alteração data retorno';
COMMENT ON COLUMN dbscodes.tb_status_alteracao_data_retorno.co_seq_status_alt_data_retorno
  IS 'Codigo de identificacão do status alteração data retorno, gerado pela sequence: dbscodes.sq_stataltdtrt_cosqstataltdtrt';
COMMENT ON COLUMN  dbscodes.tb_status_alteracao_data_retorno.ds_descricao
  IS 'Descrição do status alteração data retorno';






