package br.gov.datasus.scodes.acl.model.mapper.acesso;

import br.gov.datasus.api.core.model.dto.acesso.SistemaAcessoDTO;
import br.gov.datasus.api.core.model.mapper.AtoBBaseMapper;
import br.gov.datasus.scodes.acl.model.dto.SistemaDTO;
import org.mapstruct.Mapper;
import org.mapstruct.ReportingPolicy;

import java.util.List;

@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface SistemaAcessoMapper extends AtoBBaseMapper<SistemaDTO, SistemaAcessoDTO> {

	SistemaAcessoDTO convert(SistemaDTO obj);

	List<SistemaAcessoDTO> convert(List<SistemaDTO> objs);

}
