package br.gov.datasus.authorization.enums;

public enum CacheEnum {
	CLIENTS("autorizador-clients"),
	ACCESS_TOKENSTORE ("autorizador-access-tokenstore"),
	AUTHENTICATION_TO_ACCESS_TOKENSTORE ("autorizador-authentication-to-access-tokenstore"),
	USERNAME_TO_ACCESS_TOKENSTORE ("autorizador-username-to-access-tokenstore"),
	CLIENT_ID_TO_ACCESS_TOKENSTORE ("autorizador-client-id-to-access-tokenstore"),
	REFRESH_TOKENSTORE ("autorizador-refresh-tokenstore"),
	ACCESS_TOKEN_TO_REFRESH_TOKENSTORE ("autorizador-access-token-to-refresh-tokenstore"),
	AUTHENTICATION_STORE ("autorizador-authentication-store"),
	REFRESH_TOKEN_AUTHENTICATIONSTORE ("autorizador-refresh-token-authenticationstore"),
	REFRESH_TOKEN_TO_ACCESS_TOKENSTORE ("autorizador-refresh-token-to-access-tokenstore"),
	AUTHORIZATION_CODESTORE ("autorizador-authorization-codestore");
	
	private String cacheName;
	
	private CacheEnum(String cacheName) {
		this.cacheName = cacheName;
	}
	
	public String getCacheName() {
		return this.cacheName;
	}
	
}
