package br.gov.datasus.authorization.model.scodes;


import br.gov.datasus.api.core.model.entity.BaseEntity;
import br.gov.datasus.authorization.model.scodes.Id.PerfilFuncionalidadeId;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

@Getter
@Setter
@NoArgsConstructor
@Entity
@Table(name = "TB_PERFIL_FUNCIONALIDADE", schema = "DBSCODES")
public class PerfilFuncionalidade extends BaseEntity<PerfilFuncionalidadeId> {

	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private PerfilFuncionalidadeId id;

    @Column(name = "ST_ALTERAR", nullable = false)
    private Boolean situacaoAlterar;

    @Column(name = "ST_CRIAR", nullable = false)
    private Boolean situacaoCriar;

    @Column(name = "ST_EXCLUIR", nullable = false)
    private Boolean situacaoExcluir;

    @Column(name = "ST_IMPRIMIR", nullable = false)
    private Boolean situacaoImprimir;

    @Column(name = "ST_PESQUISAR", nullable = false)
    private Boolean situacaoPesquisar;

}
