package br.gov.datasus.scodes.model.dto;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class AcessoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

	private Long id;
	
	private Long idUsuario;
	
	private String nomeLogin;
	
	private String nomeUsuario;
	
	private String codigoSessao;
	
	private String ipCliente;
	
	private String ipServidor;
	
	@DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
	private Date dataEntrada;

	@DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
	private Date dataSaida;
	
	private String descricaoFalha;

}
