package br.gov.datasus.scodes.model.dto;

import lombok.*;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AlteracaoDataRetornoProdutoDTO implements Serializable  {

    private static final long serialVersionUID = 1L;

    private Long id;

    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE)
    private Date dataRetornoAnterior;

    private Long codigoReciboOrdemProduto;

    private AlteracaoDataRetornoDTO alteracaoDataRetorno;
}
