package br.gov.datasus.scodes.model.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@NoArgsConstructor
public class EntradaEstoqueItemDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @NotNull
    private Long idItem;

    @NotNull
    private Long idUnidadeDispensadora;

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Date dataEntradaItem;

    @NotNull
    private Long quantidade;

    @NotNull
    private Boolean termolabel;

    @NotNull
    private FabricanteDTO fabricante;

    private BigDecimal valor;

    private Long acertoEmbalagem;
}
