package br.gov.datasus.scodes.model.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@NoArgsConstructor
public class EstoqueAuxiliarDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long idItem;

    private Long idUnidadeDispensadora;

	private Long quantidadeItem;

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Date dataAtualizacao;
}
