package br.gov.datasus.scodes.model.dto;

import java.io.Serializable;

import javax.validation.constraints.*;

import lombok.Getter;
import lombok.Setter;
import lombok.NoArgsConstructor;

@Getter
@Setter
@NoArgsConstructor
public class NaturezaDespesaDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @NotNull
    @Size(max = 800)
    private String descricao;

    @NotNull
    private Long numero;

}
