package br.gov.datasus.scodes.model.dto;

import lombok.*;

import javax.validation.constraints.Size;
import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
@RequiredArgsConstructor
public class ProtocoloJefazDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private Long contador;

    @NonNull
    @Size(max = 4)
    private String ano;

    @NonNull
    @Size(max = 50)
    private String loginUsuario;

    @NonNull
    private Long codigoUnidadeOrganizacional;
}
