package br.gov.datasus.scodes.model.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TipoModeloDTO {

    private Long id;
    
    public TipoModeloDTO() {
        this.id = null;
        this.descricao = null;
    }
    
    public TipoModeloDTO(int id) {
        this.id =  Integer.toUnsignedLong(id);
    }

    @NotNull
    @Size(max = 50)
    private String descricao;

}
