package br.gov.datasus.scodes.model.dto;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.Size;
import java.util.Set;

@Getter
@Setter
@NoArgsConstructor
public class UsuarioLocalDTO extends UsuarioDTO {

    private static final long serialVersionUID = 1L;

    @Size(max = 100)
    private String nomeUsuario;

    @Size(max = 15)
    private String numeroTelefone;

    private TipoProfissaoDTO tipoProfissao;

    @Size(max = 15)
    private String numeroConselho;

    private UnidadeOrganizacionalDTO unidadeOrganizacional;

    private Set<UnidadeDispensadoraDTO> unidadesDispensadoras;

    private PerfilDTO perfil;
}
