package br.gov.datasus.scodes.model.dto;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class UsuarioLocalSenhaDTO implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@NotNull
	private String senhaAtual;
	
	@NotNull
    @Size(min = 5, max = 32)
	private String novaSenha;

}
