package br.gov.datasus.scodes.model.dto;

import java.io.Serializable;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class VaraDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @NotNull
    private TipoVaraDTO tipoVara;

    @NotNull
    @Size(max = 100)
    private String descricao;

    @NotNull
    private CidadeDTO cidade;

    @NotNull
    @Size(max = 100)
    private String forum;
    
    @Size(max = 15)
    private String telefone;
    
    @Size(max = 15)
    private String cep;

    @NotNull
    @Size(max = 25)
    private String bairro;

    @NotNull
    @Size(max = 100)
    private String endereco;
   
}
