package br.gov.datasus.scodes.model.dto.filter;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.*;

import org.springframework.format.annotation.DateTimeFormat;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class RelatorioAcessoFilterDTO implements Serializable {

    private static final long serialVersionUID = 1L;

	@Size(max = 12)
	private String nomeLogin;

	@Size(max = 100)
	private String nomeUsuario;

	@NotNull
	@DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
	private Date dataEntrada;

    @NotNull
	@DateTimeFormat(iso = DateTimeFormat.ISO.DATE_TIME)
	private Date dataSaida;

}
