package br.gov.datasus.scodes.model.dto.filter;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

@Getter
@Setter
@NoArgsConstructor
public class RelatorioDataRetornoAutorDemandaFilterDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull
    private Long codigoAlteracaoDataRetorno;

    @NotNull
    @DateTimeFormat(iso = DateTimeFormat.ISO.DATE)
    private Date dataRetornoAtual;

}
