package br.gov.datasus.scodes.model.entity;

import javax.persistence.*;

import br.gov.datasus.api.core.model.entity.BaseEntity;
import br.gov.datasus.scodes.model.entity.Id.PerfilFuncionalidadeId;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@Entity
@Table(name = "TB_PERFIL_FUNCIONALIDADE", schema = "DBSCODES")
public class PerfilFuncionalidade extends BaseEntity<PerfilFuncionalidadeId> {
	
	private static final long serialVersionUID = 1L;
	
	@EmbeddedId
	private PerfilFuncionalidadeId id;

    @Column(name = "ST_ALTERAR", nullable = false)
    private Boolean situacaoAlterar;

    @Column(name = "ST_CRIAR", nullable = false)
    private Boolean situacaoCriar;

    @Column(name = "ST_EXCLUIR", nullable = false)
    private Boolean situacaoExcluir;

    @Column(name = "ST_IMPRIMIR", nullable = false)
    private Boolean situacaoImprimir;

    @Column(name = "ST_PESQUISAR", nullable = false)
    private Boolean situacaoPesquisar;

}
