package br.gov.datasus.scodes.model.enums;

import com.fasterxml.jackson.annotation.JsonValue;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
public enum TipoModeloEnum {
    OFICIO (1, "Ofício"),
    RELATORIO_TECNICO (2, "Relatório Técnico"),
    TELEGRAMA (3, "Telegrama");

    @JsonValue
    @Getter
    private int id;

    @Getter
    private String descricao;
}
