package br.gov.datasus.scodes.model.mapper;

import br.gov.datasus.api.core.model.mapper.BaseMapper;
import br.gov.datasus.scodes.model.dto.AlteracaoDataRetornoProdutoDTO;
import br.gov.datasus.scodes.model.dto.ReciboOrdemProdutoDTO;
import br.gov.datasus.scodes.model.entity.AlteracaoDataRetornoProduto;
import br.gov.datasus.scodes.model.entity.ReciboOrdemProduto;
import org.mapstruct.InheritInverseConfiguration;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.ReportingPolicy;

@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface ReciboOrdemProdutoMapper extends BaseMapper<ReciboOrdemProduto, ReciboOrdemProdutoDTO>  {

    ReciboOrdemProdutoDTO toDto(ReciboOrdemProduto entity);

    ReciboOrdemProduto toEntity(ReciboOrdemProdutoDTO dto);

    @InheritInverseConfiguration(name = "toDto")
    void fromDto(ReciboOrdemProdutoDTO dto, @MappingTarget ReciboOrdemProduto entity);

}
