package br.gov.datasus.scodes.model.mapper;

import br.gov.datasus.api.core.model.mapper.BaseMapper;
import br.gov.datasus.scodes.model.dto.StatusAlteracaoDataRetornoDTO;
import br.gov.datasus.scodes.model.entity.StatusAlteracaoDataRetorno;
import org.mapstruct.InheritInverseConfiguration;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.ReportingPolicy;

import java.util.List;

@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface StatusAlteracaoDataRetornoMapper extends BaseMapper<StatusAlteracaoDataRetorno, StatusAlteracaoDataRetornoDTO> {

    StatusAlteracaoDataRetornoDTO toDto(StatusAlteracaoDataRetorno entity);

    List<StatusAlteracaoDataRetornoDTO> toDto(Iterable<StatusAlteracaoDataRetorno> entities);

    List<StatusAlteracaoDataRetornoDTO> toDto(List<StatusAlteracaoDataRetorno> entities);

    List<StatusAlteracaoDataRetorno> toEntity(List<StatusAlteracaoDataRetornoDTO> dtos);

    StatusAlteracaoDataRetorno toEntity(StatusAlteracaoDataRetornoDTO dto);

    @InheritInverseConfiguration(name = "toDto")
    void fromDto(StatusAlteracaoDataRetornoDTO dto, @MappingTarget StatusAlteracaoDataRetorno entity);
}
