package br.gov.datasus.scodes.repository;

import br.gov.datasus.scodes.model.entity.Uf;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import br.gov.datasus.api.core.dynamicquery.repository.DynamicNativeQueryRepository;
import br.gov.datasus.api.core.dynamicquery.repository.DynamicQueryRepository;
import br.gov.datasus.scodes.model.entity.Profissional;

import java.util.List;

public interface ProfissionalRepository extends CrudRepository<Profissional, Long>, DynamicQueryRepository, DynamicNativeQueryRepository {

    @Query("SELECT DISTINCT (profissional.uf), profissional.uf.id FROM Profissional profissional ORDER BY (profissional.uf.id) ASC")
    List<Uf> obterUfsProfissional();
}
