import { CidadeModel } from 'src/app/shared/models/cidade.model';
import { TipoAcaoModel } from 'src/app/rotina/tabela/tipo-acao/models/tipo-acao.model';
import { TipoProfissaoModel } from 'src/app/shared/models/tipo-profissao.model';
import { ProfissionalModel } from 'src/app/shared/models/profissional.model';
import { AutorDemandaModel } from './autor-demanda.model';
import { VaraModel } from 'src/app/shared/models/vara.model';
import { PrazoModel } from 'src/app/shared/models/prazo.model';
import { TipoAcaoContraModel } from 'src/app/shared/models/tipo-acao-contra.model';

export class ProcessualDemandaModel {
  id: number;
  segredo: boolean;
  tipoAcaoContra: TipoAcaoContraModel;
  prazo: PrazoModel;
  vara: VaraModel;
  autorDemanda?: AutorDemandaModel;
  docCompleta: boolean;
  dataNaoCobrancaJud: Date;
  profissional: ProfissionalModel;
  tipoProfissao: TipoProfissaoModel;
  tipoAcao: TipoAcaoModel;
  cidade: CidadeModel;
}
